package sbc.mgclus.data;

public class Vertex {
	private String name;
	private Integer id;
	private Boolean seed;
	
	public Vertex (String name, int i){
		this.name = name;
		this.id = i;
		setSeed(false);
	}
	
	public String toString(){
		return name;
	}
	
	public boolean equals(Object obj) {
	     if (this==obj) {
	        return true;
	     }
	     if (obj==null) {
	        return false;
	     }
	     if (!(obj instanceof Vertex )) {
	        return false;
	     }
	     Vertex other = (Vertex) obj;
	     if (this.name==other.name) {
	        return true;
	     }
	     if (this.name==null && other.name!=null) {
	        return false;
	     }
	     return this.name.equals(other.name);
	  }

	public String getName(){
		return name;
	}
	
	public int hashCode() {
	    if (this.name==null) {
	       return 0;
	    }
	    return this.name.hashCode();
	 }

	public void setID(int id) {
		this.id = id;
	}

	public int getID() {
		return id;
	}
	
	public void setSeed(Boolean seed) {
		this.seed = seed;
	}

	public Boolean isSeed() {
		return seed;
	}

}
